# $Revision: 1.16 $, $Date: 2008/10/11 15:51:36 $
%define realname pyblock
Summary:	Python modules for dealing with block devices
Summary(pl.UTF-8):	Moduły Pythona do obsługi urządzeń blokowych
Name:		python-%{realname}
Version:	0.32
Release:	1
License:	GPL
Group:		Libraries/Python
# https://fedorahosted.org/releases/p/y/pyblock/ (not yet)
Source0:	%{realname}-%{version}.tar.bz2
# Source0-md5:	339b06ac1eb48dde8a54fbb2e174b26b
Patch0:		%{name}-ULLLLLL.patch
Patch1:		%{name}-optflags.patch
Patch2:		%{name}-fix.patch
BuildRequires:	device-mapper-devel >= 1.02.05-0.3
BuildRequires:	dmraid-devel >= 1.0.0-0.rc10.1.6
BuildRequires:	libselinux-devel
BuildRequires:	python-devel
Requires:	device-mapper >= 1.02.02
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
The pyblock contains Python modules for dealing with block devices.

%description -l pl.UTF-8
Pakiet pyblock zawiera moduły Pythona do obsługi urządzeń blokowych.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -j1 \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SITELIB=%{py_sitedir}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/block
%attr(755,root,root) %{py_sitedir}/block/dmmodule.so
%attr(755,root,root) %{py_sitedir}/block/dmraidmodule.so
%{py_sitedir}/block/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyblock.spec,v $
Revision 1.16  2008/10/11 15:51:36  patrys
- 0.32

Revision 1.15  2008/10/07 17:50:30  patrys
- rel 2

Revision 1.14  2008/09/10 05:37:21  qboosh
- will be on fedorahosted

Revision 1.13  2007/12/14 15:08:18  patrys
- refetch

Revision 1.12  2007-12-14 15:02:25  patrys
- 0.30

Revision 1.11  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.9  2006/09/27 22:57:54  glen
- rel 2

Revision 1.8  2006/05/22 22:47:55  qboosh
- use shared dmraid library, BR cleanup

Revision 1.7  2006/05/20 12:29:18  glen
- %py_postclean

Revision 1.6  2006/05/20 08:16:45  qboosh
- added fix patch and -fno-strict-aliasing, optflags enabled
- .so perms, compile *.py

Revision 1.5  2006/05/20 01:18:11  glen
- optflags patch (not applied as -O2 breaks build, anyone can check?)

Revision 1.4  2006/05/20 01:07:15  glen
- fixed badness with py_sitescriptdir

Revision 1.3  2006/05/18 21:15:50  qboosh
- pl

Revision 1.2  2006/05/16 20:57:02  glen
- builds without gettext too

Revision 1.1  2006/05/16 20:56:27  glen
- adapted from FC5
